<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('agent_orders', function (Blueprint $table) {
            $table->string("address")->nullable()->comment("地址")->after("mobile");
            $table->string('express')->nullable()->comment("快递公司")->after("is_online");
            $table->string('express_trade_no')->nullable()->comment("快递单号")->after("is_online");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('agent_orders', function (Blueprint $table) {
            $table->dropColumn(["address", "express", "express_trade_no"]);
        });
    }
};
